<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Main Page</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li class="current"><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('index.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenThread Documentation</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<div class="image"><img src="openthread_logo.png" alt="openthread_logo.png" style="max-width:100%;"/></div>
<p>OpenThread is an open-source implementation of the <a href="http://threadgroup.org/technology/ourtechnology">Thread</a> networking protocol. Nest has released OpenThread to make the technology used in Nest products more broadly available to developers to accelerate the development of products for the connected home.</p>
<p>The Thread specification defines an IPv6-based reliable, secure and low-power wireless device-to-device communication protocol for home applications. More information about Thread can be found on <a href="http://threadgroup.org/">threadgroup.org</a>.</p>
<h2>Features</h2>
<ul>
<li>Highly portable: OS and platform agnostic with a radio abstraction layer</li>
<li>Implements the End Device, Router, Leader and Border Router roles</li>
<li>Small memory footprint</li>
</ul>
<p>OpenThread implements all Thread networking layers including IPv6, 6LoWPAN, IEEE 802.15.4 with MAC security, Mesh Link Establishment, and Mesh Routing.</p>
<h1>Who is supporting OpenThread</h1>
<div class="image">
<img src="openthread_contrib.png" alt="openthread_contrib.png" style="max-width:100%;"/>
</div>
<p> Nest, along with ARM, Atmel, a subsidiary of Microchip Technology, Dialog Semiconductor, Microsoft Corporation, Qualcomm Technologies, Inc. (a subsidiary of Qualcomm Incorporated), and Texas Instruments Incorporated are contributing to the ongoing development of OpenThread.</p>
<h1>Getting started</h1>
<p>The easiest way to get started is to run the CLI example in <code>/examples/apps/cli</code>. See the CLI example README for more details.</p>
<h2>What's included</h2>
<p>In the repo you'll find the following directories and files:</p>
<table class="doxtable">
<tr>
<th>File/Folder </th><th>Provides  </th></tr>
<tr>
<td><code>doc</code> </td><td>Doxygen docs </td></tr>
<tr>
<td><code>examples</code> </td><td>Sample applications demonstrating OpenThread </td></tr>
<tr>
<td><code>include</code> </td><td>Public API header files </td></tr>
<tr>
<td><code>src</code> </td><td>Core implementation of the Thread standard and related add-ons </td></tr>
<tr>
<td><code>tests</code> </td><td>Unit and Thread conformance tests </td></tr>
<tr>
<td><code>third_party</code> </td><td>Third-party code used by OpenThread </td></tr>
<tr>
<td><code>tools</code> </td><td>Helpful utilities related to the OpenThread project </td></tr>
</table>
<h2>Documentation</h2>
<p>The Doxygen reference docs are <a href="http://openthread.github.io/openthread/">hosted online</a> and generated as part of the build.</p>
<h1>Getting help</h1>
<p>Submit bugs and feature requests to <a href="https://github.com/openthread/openthread/issues">issue tracker</a>. Usage questions? Post your questions to <a href="http://stackoverflow.com/">Stack Overflow</a> using the <a href="http://stackoverflow.com/questions/tagged/openthread"><code>openthread</code> tag</a>. We also use Google Groups for discussion and announcements:</p>
<ul>
<li><a href="https://groups.google.com/forum/#!forum/openthread-announce">openthread-announce</a> - subscribe for release notes and new updates on OpenThread</li>
<li><a href="https://groups.google.com/forum/#!forum/openthread-users">openthread-users</a> - the best place for users to discuss OpenThread and interact with the OpenThread team</li>
<li><a href="https://groups.google.com/forum/#!forum/openthread-devel">openthread-devel</a> - team members discuss the on-going development of OpenThread</li>
</ul>
<h1>Versioning</h1>
<p>OpenThread follows <a href="http://semver.org/">the Semantic Versioning guidelines</a> for release cycle transparency and to maintain backwards compatibility. OpenThread's versioning is independent of the Thread protocol specification version but will clearly indicate which version of the specification it currently supports.</p>
<h1>Contributing</h1>
<p>See the `CONTRIBUTING.md` file for more information.</p>
<h1>License</h1>
<p>OpenThread is released under the [BSD 3-Clause license](LICENSE). See the [<code>LICENSE</code>](LICENSE) file for more information.</p>
<p>Please only use the OpenThread name and marks when accurately referencing this software distribution. Do not use the marks in a way that suggests you are endorsed by or otherwise affiliated with Nest, Google, or The Thread Group. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
